#!/bin/bash
set -e
set -u
ROOTFS_DIR=rootfs.arm             # directory with root file system content
# ROOTFS_SIZE=32768               # size of file system image
ROOTFS_SIZE=16384                 # size of file system image
ROOTFS_INODES=8000                # number of inodes
ROOTFS_DEVICES=rootfs_devices.tab # device description file
ROOTFS_IMAGE=ramdisk.img          # generated file system image

rm -f ramdisk.img*

genext2fs -U \
	-d ${ROOTFS_DIR} \
	-D ${ROOTFS_DEVICES} \
	-b ${ROOTFS_SIZE} \
	-N ${ROOTFS_INODES} \
	${ROOTFS_IMAGE}

gzip ramdisk.img
# generate ramdisk
mkimage -A arm -T ramdisk -C gzip -n "description" -d ramdisk.img.gz uInitrd
cp uInitrd /srv/tftp/uInitrd
# generate combined image
mkimage -A arm -O linux -T multi -C gzip \
	-n 'description' \
	-a 0x00008000 -e 0x00008000 \
	-d theKernel.gz:ramdisk.img.gz \
	uMulti
cp uMulti /srv/tftp/uMulti
